OMPAYOMPAY
API ReferenceEndpointsMerchant hosted

List digital cards for a customer

Returns all tokenized cards associated with a customer identifier.

GET
/customer/{customerId}/digitalCards

Authorization

basicAuth signatureAuth
AuthorizationBasic <token>

In: header

X-Signature<token>

In: header

Path Parameters

customerId*string

Unique identifier for the customer.

Header Parameters

X-MERCHANT-BROWSER-FINGERPRINT*string

Merchant browser fingerprint header shown in the docs.

X-MERCHANT-USER-AGENT*string

User agent forwarded by the merchant.

X-MERCHANT-DOMAIN*string

Merchant domain origin.

Formaturi
X-MERCHANT-IP*string

Merchant IP address.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.uat.gateway.ompay.com/nac/api/v1/merchant-host/customer/string/digitalCards" \  -H "X-MERCHANT-BROWSER-FINGERPRINT: string" \  -H "X-MERCHANT-USER-AGENT: string" \  -H "X-MERCHANT-DOMAIN: http://example.com" \  -H "X-MERCHANT-IP: string"
{
  "resCode": 0,
  "status": "string",
  "data": {
    "digitalCards": [
      {
        "digitalCardId": "string",
        "network": "string",
        "cardType": "string",
        "status": "string",
        "panLastFour": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "remainingLimit": 0
  }
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}